import java.util.*;

public class MapOfStringToInteger {
    private ArrayList<PairOfStringAndInteger> list;

    public MapOfStringToInteger() {
        list = new ArrayList<PairOfStringAndInteger>();
    }

    private int findIndex(String k) {
        for (int i = 0; i < list.size(); i++)
            if (k.equals(list.get(i).getKey())) {
                return i;
            }
        return -1;
    }

    public void put(String k, int v) {
        int idx = this.findIndex(k);
        if (idx == -1)
            list.add(0,new PairOfStringAndInteger(k,v));
        else
            list.get(idx).setVal(v);
    }

    public Integer get(String k) {
        int idx = this.findIndex(k);
        if (idx == -1)
            return null;
        else
            return list.get(idx).getVal();
    }

    public void delete(String k) {
        int idx = this.findIndex(k);
        if (idx != -1)
            list.remove(idx);
    }

    public boolean isRegistered(String k) {
        return (this.findIndex(k) != -1);
    }

    public String toString() {
        return list.toString();
    }
}
